package org.apache.bcel.classfile;

import java.io.IOException;
import java.io.DataInput;

public final class ConstantMethodref extends ConstantCP
{
    public ConstantMethodref(final ConstantMethodref c) {
        super((byte)10, c.getClassIndex(), c.getNameAndTypeIndex());
    }
    
    ConstantMethodref(final DataInput input) throws IOException {
        super((byte)10, input);
    }
    
    public ConstantMethodref(final int classIndex, final int nameAndTypeIndex) {
        super((byte)10, classIndex, nameAndTypeIndex);
    }
    
    @Override
    public void accept(final Visitor v) {
        v.visitConstantMethodref(this);
    }
}
